import pandas as pd
from ytmusicapi import YTMusic

ytmusic = YTMusic()

search_string = input("Input the search string: ")
search_results = ytmusic.search(search_string)

df = pd.json_normalize(search_results)

df = df[
    df["category"].isin(["Top result", "Songs", "Videos"])
    & df["resultType"].isin(["song", "video"])
]

df = df[
    [
        "category",
        "resultType",
        "videoId",
        "title",
        "artists",
        "views",
        "duration_seconds",
    ]
]

print(df)
